package dbmanager

import (
	"gorm.io/gorm"
)

// DbManager is the interface for database operations
type DbManager interface {
	GetDB() *gorm.DB
	Connect() error
	Disconnect() error
	Migrate(models ...interface{}) error
}
